
QGIS Application - Bug report #7267

loss of attributes during split feature operation

2013-03-03 08:05 AM - Alessandro Ciali

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 16284

Description

Performing multiple cutting without saving after each cut results in loss of attributes of some features.

To experience the strange behaviour follow the steps:

    1. load the shape (I used "color" field to categorize)

    2. Make 2 or more cuts with split feature

    3. Polygons not involved in splitting operation disappear

    4. after saving the polygons re-appear, but one of the splitted polygons has lost its attributes.

Last master on win7 64bit

Lisboa is not affected

Related issues:

Related to QGIS Application - Bug report # 7112: Identify feature on a splitt... Closed 2013-02-06

Related to QGIS Application - Bug report # 7472: vector editing errors Closed 2013-03-29

History

#1 - 2013-03-03 08:34 AM - Giovanni Manghi

- OS version deleted (7 - 64bit)

- Priority changed from Normal to Severe/Regression

- Operating System deleted (Windows)

- Crashes QGIS or corrupts data changed from No to Yes

If it is a regression is a blocker. I see this also on Linux so it should not be platform dependent.

#2 - 2013-03-03 08:42 AM - Olivier Dalang

The attribute part is linked to #7112

Here, it seems, the attributes are not lost, but rather that the form does not display the attributes (which can lead to loose the attributes if the form is

confirmed). See the other ticket for more details.

#3 - 2013-03-29 05:05 AM - Jürgen Fischer

- Subject changed from lost of attribute dureing Cut feature operation to lost of attribute during cut feature operation

#4 - 2013-03-29 05:07 AM - Jürgen Fischer

- Subject changed from lost of attribute during cut feature operation to loss of attributes during cut feature operation
#5 - 2013-04-20 03:36 AM - Alessandro Ciali

- Assignee set to Jürgen Fischer

Things getting worse. With the latest master, cutting feature with split tools causes,unexpected results after save layer editing:

- some feature desappear and get lost forever

- some feature duplicate

I have experienced this behaviour on a polyline shape converted from a dxf layer. During editing session, I used other editing tools: create new, node tool,

simplify line tool.

#6 - 2013-04-20 04:41 AM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#7 - 2013-06-06 09:20 AM - Regis Haubourg

not confirmed on osgeo4w revision 5e29777

#8 - 2013-06-06 10:32 AM - Giovanni Manghi

- File split.mp4 added

regis Haubourg wrote:

not confirmed on osgeo4w revision 5e29777

it is confirmed here on linux, see attached screencast.

#9 - 2013-06-06 10:33 AM - Alessandro Ciali

I've tested the latest master (e7ea582) on win7. The problem is not solved. It's important to make multiple cuts over the same features without saving. After

some cuts the message "Already active iterator on this provider was closed" appears on Log Message and one of the features created by cut operation has

lost its attributes.

#10 - 2013-06-23 08:05 PM - Nathan Woodrow

- Status changed from Open to Closed

- Resolution set to fixed

Should be fixed now.  Please test and reopen if not.

#11 - 2013-06-24 04:25 AM - Giovanni Manghi

Nathan Woodrow wrote:

Should be fixed now.  Please test and reopen if not.
what it is the revision that fixes it?

#12 - 2013-06-24 04:27 AM - Nathan Woodrow

The iterator fixes in commit:4164d6ed0b84 and commit:3747c2bb02062

#13 - 2013-06-24 04:31 AM - Giovanni Manghi

- Resolution deleted (fixed)

- Status changed from Closed to Reopened

Nathan Woodrow wrote:

The iterator fixes in commit:4164d6ed0b84 and commit:3747c2bb02062

I'm testing with

49970b0413d6b042e734b327f50013e8d42b6e34

that should include both commits and the bug issue is still there :(

#14 - 2013-06-24 05:04 AM - Nathan Woodrow

My mistake it seems it still happens.

#15 - 2013-06-24 05:35 AM - Salvatore Larosa

Maybe I am wrong, but I dont see any loss of attributes.

If the layer is not categorized you can see the new split geometries,

when the layer is categorized the geometries are not displayed but they are into attributes table.

The sample data has a categorized style with already set values so just add a default without any value to display the new split geometries.

See the attached video: http://lrssvt.ns0.it/img/7267.ogv

#16 - 2013-06-24 05:42 AM - Giovanni Manghi

Salvatore Larosa wrote:

Maybe I am wrong, but I dont see any loss of attributes.

If the layer is not categorized you can see the new split geometries,

when the layer is categorized the geometries are not displayed but they are into attributes table.

The sample data has a categorized style with already set values so just add a default without any value to display the new split geometries.
See the attached video: http://lrssvt.ns0.it/img/7267.ogv

ahhh! I missed it! :)

you are right, there are no missing or lost features, but there are still missing/lost attributes.

try do multiple splits before saving.

You will sew that the column "colore" should be filled with all "1" (the original attribute) but it is not.

#17 - 2013-06-27 01:52 AM - Giovanni Manghi

- Subject changed from loss of attributes during cut feature operation to loss of attributes during split feature operation

#18 - 2013-07-06 12:39 AM - Radim Blazek

- Status changed from Reopened to Closed

- Resolution set to fixed

Fixed in commit:0f578a460.

Files

shape.rar 2.88 KB 2013-03-03 Alessandro Ciali

split.mp4 529 KB 2013-06-06 Giovanni Manghi
